math/coinmp - The NetBSD Packages Collection

Linear Programming solver library

CoinMP is a mathematical library for solving Linear Programming problems.
It is implemented as a C-API library that supports most of the functionality
of the CLP (Coin Linear Programming), CBC (Coin Branch-and-Cut),
and CGL (Cut Generation Library) projects.

Build dependencies

devel/libtool-fortran pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

lang/gcc7 lang/gcc7

Binary packages

OSArchitectureVersion
NetBSD 8.0i386coinmp-1.8.4.tgz
NetBSD 8.0i386coinmp-1.8.4.tgz
NetBSD 8.0i386coinmp-1.8.4.tgz
NetBSD 8.0i386coinmp-1.8.4.tgz
NetBSD 8.0powerpccoinmp-1.8.4.tgz
NetBSD 8.0powerpccoinmp-1.8.4.tgz
NetBSD 8.0powerpccoinmp-1.8.4.tgz
NetBSD 8.0powerpccoinmp-1.8.4.tgz
NetBSD 8.0powerpccoinmp-1.8.4.tgz
NetBSD 8.0x86_64coinmp-1.8.4.tgz
NetBSD 8.0x86_64coinmp-1.8.4.tgz
NetBSD 8.0x86_64coinmp-1.8.4.tgz
NetBSD 8.0x86_64coinmp-1.8.4.tgz
NetBSD 9.0aarch64coinmp-1.8.4.tgz
NetBSD 9.0aarch64coinmp-1.8.4.tgz
NetBSD 9.0aarch64coinmp-1.8.4.tgz
NetBSD 9.0aarch64coinmp-1.8.4.tgz
NetBSD 9.0alphacoinmp-1.8.4.tgz
NetBSD 9.0alphacoinmp-1.8.4.tgz
NetBSD 9.0i386coinmp-1.8.4.tgz
NetBSD 9.0i386coinmp-1.8.4.tgz
NetBSD 9.0i386coinmp-1.8.4.tgz
NetBSD 9.0i386coinmp-1.8.4.tgz
NetBSD 9.0powerpccoinmp-1.8.4.tgz
NetBSD 9.0powerpccoinmp-1.8.4.tgz
NetBSD 9.0powerpccoinmp-1.8.4.tgz
NetBSD 9.0powerpccoinmp-1.8.4.tgz
NetBSD 9.0powerpccoinmp-1.8.4.tgz
NetBSD 9.0sparc64coinmp-1.8.4.tgz
NetBSD 9.0sparc64coinmp-1.8.4.tgz
NetBSD 9.0x86_64coinmp-1.8.4.tgz
NetBSD 9.0x86_64coinmp-1.8.4.tgz
NetBSD 9.0x86_64coinmp-1.8.4.tgz
NetBSD 9.0x86_64coinmp-1.8.4.tgz
NetBSD 9.0x86_64coinmp-1.8.4.tgz
NetBSD 9.0x86_64coinmp-1.8.4.tgz
NetBSD 9.0x86_64coinmp-1.8.4.tgz
NetBSD 9.0x86_64coinmp-1.8.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.